<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<!-- script -->
<script type="text/javascript" src="<c:url value='/resources/versions-2.0/js/jquery.min.js' />"></script>
<script type="text/javascript" src="<c:url value='/resources/versions-2.0/js/bootstrap.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/resources/js/layer/layer.js'/>"></script>
<script type="text/javascript" src="<c:url value='/resources/commonJS/qrcode.js' />"></script>
<script type="text/javascript" src="<c:url value='/resources/commonJS/con-common.js' />"></script>
<script type="text/javascript">
    var baseUrl = '${pageContext.request.contextPath }';
    function changeFrameHeight(){
        var topWindow;
        for(topWindow=window;topWindow.parent!=null && topWindow.parent!=topWindow;topWindow=topWindow.parent){
            for(var i=0;i<topWindow.parent.frames.length;i++){
                var isIframe = true;
                try {
                    topWindow.parent.frames[i].window.document;
                }catch (e) {
                    isIframe = false;
                }
                if(isIframe){
                    var tObj = topWindow.parent.frames[i];
                    if(tObj.window.document==topWindow.document){
                        var tName = tObj.name;
                        if(tName != ''){
                            if(tName.indexOf('frame3d')!=-1){
                                parent.document.getElementById("frame3d").height=1371;
                            }
                        }
                    }
                }
            }
        }
    }
    // changeFrameHeight();
    $(function(){
        if('${payurl}' != ''){
            window.location.href='${payurl}';
            <%--window.open('${payurl}');--%>
        }else{
            window.location.href=baseUrl+'/insurance/zzx/transaction/failMessage?ACCESS_TOKEN=${ACCESS_TOKEN}';
        }
    });
</script>